function [log_likelihood] = GARCH_likelihood(y_sq,theta)
T = max(size(y_sq));
sigma = zeros(T,1);
sigma(1) = theta(1)/(1-theta(2)-theta(3));
log_likelihood = 0.5*log(2*pi*sigma(1)) -0.5*y_sq(1)/sigma(1);
for i=2:T
    sigma(i) = theta(1) + theta(2)*y_sq(i-1) + theta(3)*sigma(i-1);
    log_likelihood = log_likelihood -0.5*log(2*pi*sigma(i)) -0.5*y_sq(i)/sigma(i);
end