function [init_sn init_tau n_ii] = initialisation_sn(nb_init,nb_obs,regime,CP)
% On tire alatoirement un certain nombre de vecteur sn

% initialisation des variables
init_sn = ones(nb_obs,nb_init);
init_tau = zeros(regime,nb_init);
n_ii = zeros(regime,regime,nb_init);
interval = nb_obs/(regime-1);

if(regime>1)
    
    if(CP==1)
    % Tirage alatoire de cassure pour un CP
        tau = zeros(regime,1);
        Expec = zeros(regime,1);
        var_cass = zeros(regime,1);
        for q=1:regime-1
           Expec(q) = q*interval; 
           var_cass(q) = (interval)^2;
        end
        Expec(regime) = nb_obs;
        for i=1:nb_init
            test = 0;
            while(test==0)
                for q=1:regime
                    tau(q) = round(Expec(q) + sqrt(var_cass(q))*randn());
                    %                 if(q==1)
                    %                     tau(q) = round(interval) + round((rand()-0.5)*interval);
                    %                 else
                    %                     tau(q) = tau(q-1) + round(interval) + round((rand()-0.5)*interval);
                    %                     if(tau(q)>=nb_obs && q<regime)
                    %                         tau(q) = nb_obs-q;
                    %                     elseif(q==regime)
                    %                         tau(q) = nb_obs;
                    %                     end
                    %                 end
                end
                tau(regime) = nb_obs;
                test = test_cass(tau,regime);
            end
            etat = 1;
            for q=1:nb_obs
                if(q>tau(etat))
                    etat = etat +1;
                end
                init_sn(q,i) = etat;
            end
            init_tau(:,i) = tau;
        end
    else
        interval = interval/4;
        for i=1:nb_init
            etat = 1;

            unif = ceil((rand()+0.3)*interval);
            duree = 0;
            for q=1:nb_obs
                if(duree>unif)
                    duree = 0;
                    unif = ceil((rand()+0.3)*interval);
                    etat = ceil(rand()*regime);
                end
                init_sn(q,i) = etat;
                if(q>1)
                    n_ii(init_sn(q-1,i),etat,i) = n_ii(init_sn(q-1,i),etat,i) +1;
                else
                    n_ii(1,etat,i) = 1;
                end
                duree = duree +1;
            end
        end
    end
else
    for i=1:nb_init
        init_tau(1,i) = nb_obs;
        n_ii(1,i) = nb_obs;
    end
end
    
            